/* 
   Copyright (c) 2003 Joerg Mossbrucker <mossbruc@msoe.edu>
   
   All Rights Reserved.
  
   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions
   are met:
  
   1. Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
   2. Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
  
*/

/*
	lcdconf.h
	contains configuration information for the LCD display
	Copyright (c) 2003 Joerg Mossbrucker <mossbruc@msoe.edu>
*/

#ifndef _LCDCONF_H
#define _LCDCONF_H

// define port and bits the LCD control signals are connected
#define LCD_CTRL_PORT	PORTC
#define LCD_CTRL_DDR	DDRC
#define LCD_DIR_PORT	PORTD
#define LCD_DIR_DDR		DDRD
#define LCD_CTRL_RS		6
#define LCD_CTRL_RD		7
#define LCD_CTRL_WR		6
#define LCD_CTRL_E		7

// define port the LCD data signals are connected
#define LCD_DATA_PORT	PORTA
#define LCD_DATA_DDR	DDRA

// defines LCD data interface 

#define LCD_INTERFACE	8

#define LCD_LINES				2
#define LCD_LINE_LENGTH			16

// DDRAM mapping
#define LCD_LINE0_DDRAMADDR		0x00	// on 2x16 0x00-0x0F
#define LCD_LINE1_DDRAMADDR		0x40	// on 2x16 0x40-0x4F
#define LCD_LINE2_DDRAMADDR		0x14
#define LCD_LINE3_DDRAMADDR		0x54

#endif
